package eu.mhsl.minenet.minigames.instance.game;

import eu.mhsl.minenet.minigames.message.component.NamespacedTranslatable;
import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;
import net.minestom.server.item.Material;

public enum GameType {
    OTHER(Material.GRASS_BLOCK, TranslatedComponent.raw("GameType#other"), TranslatedComponent.raw("GameType#other_description")),
    PVP(Material.DIAMOND_SWORD, TranslatedComponent.raw("GameType#pvp"), TranslatedComponent.raw("GameType#pvp_description")),
    PVE(Material.DIAMOND_PICKAXE, TranslatedComponent.raw("GameType#pve"), TranslatedComponent.raw("GameType#pve_description"));


    Material icon;
    TranslatedComponent title;
    TranslatedComponent description;

    GameType(Material icon, TranslatedComponent title, TranslatedComponent description) {
        this.title = title;
        this.description = description;
        this.icon = icon;
    }

    public Material getIcon() {
        return icon;
    }

    public TranslatedComponent getTitle() {
        return title;
    }

    public TranslatedComponent getDescription() {
        return description;
    }


}
