package eu.mhsl.minenet.minigames.instance.game.minigame.types.stickfight;

import eu.mhsl.minenet.minigames.instance.game.minigame.Minigame;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.ConfigManager;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.GameFactory;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.Option;
import net.kyori.adventure.text.Component;
import net.minestom.server.item.Material;

import java.util.Map;

public class StickFightFactory implements GameFactory {
    @Override
    public Component name() {
        return Component.text("Stickfight");
    }

    @Override
    public ConfigManager configuration() {
        return null;
    }

    @Override
    public Minigame manufacture(Map<String, Option<?>> configuration) {
        return new Stickfight();
    }

    @Override
    public Material symbol() {
        return Material.STICK;
    }
}
